## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# ICUXalanNumberFormatFactory Class Reference

Inheritance diagram for ICUXalanNumberFormatFactory:

[legend]
Collaboration diagram for ICUXalanNumberFormatFactory:

[legend]
List of all members.

## Public Member Functions

- ICUXalanNumberFormatFactory (MemoryManagerType &theManager)
- virtual ~ICUXalanNumberFormatFactory ()
- virtual XalanNumberFormat * create ()

## Constructor & Destructor Documentation

ICUXalanNumberFormatFactory::ICUXalanNumberFormatFactory | ( | MemoryManagerType & | theManager | ) |

virtual ICUXalanNumberFormatFactory::~ICUXalanNumberFormatFactory | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual XalanNumberFormat* ICUXalanNumberFormatFactory::create | ( |  | ) | `[virtual]`

The documentation for this class was generated from the following file:

- ICUXalanNumberFormatFactory.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.